import {jsx as $hgUW1$jsx, jsxs as $hgUW1$jsxs, Fragment as $hgUW1$Fragment} from "react/jsx-runtime";
import $hgUW1$react, {useRef as $hgUW1$useRef} from "react";
import $hgUW1$styledcomponents, {ThemeProvider as $hgUW1$ThemeProvider, keyframes as $hgUW1$keyframes, css as $hgUW1$css} from "styled-components";
import $hgUW1$markdownit from "markdown-it";
import $hgUW1$dompurify from "dompurify";
import {RocketIcon as $hgUW1$RocketIcon, Cross2Icon as $hgUW1$Cross2Icon, ExclamationTriangleIcon as $hgUW1$ExclamationTriangleIcon, PaperPlaneIcon as $hgUW1$PaperPlaneIcon} from "@radix-ui/react-icons";

//exports methods for React








function $0227e40e43ebbdfc$export$8d129e5b7331a32b({ question: question = "", apiKey: apiKey = "", history: history = [], conversationId: conversationId = null, apiHost: apiHost = "", onEvent: onEvent = ()=>{
    console.log("Event triggered, but no handler provided.");
} }) {
    return new Promise((resolve, reject)=>{
        const body = {
            question: question,
            history: JSON.stringify(history),
            conversation_id: conversationId,
            model: "default",
            api_key: apiKey
        };
        fetch(apiHost + "/stream", {
            method: "POST",
            headers: {
                "Content-Type": "application/json"
            },
            body: JSON.stringify(body)
        }).then((response)=>{
            if (!response.body) throw Error("No response body");
            const reader = response.body.getReader();
            const decoder = new TextDecoder("utf-8");
            let counterrr = 0;
            const processStream = ({ done: done, value: value })=>{
                if (done) {
                    resolve();
                    return;
                }
                counterrr += 1;
                const chunk = decoder.decode(value);
                const lines = chunk.split("\n");
                for (let line of lines){
                    if (line.trim() == "") continue;
                    if (line.startsWith("data:")) line = line.substring(5);
                    const messageEvent = new MessageEvent("message", {
                        data: line
                    });
                    onEvent(messageEvent); // handle each message
                }
                reader.read().then(processStream).catch(reject);
            };
            reader.read().then(processStream).catch(reject);
        }).catch((error)=>{
            console.error("Connection failed:", error);
            reject(error);
        });
    });
}
const $0227e40e43ebbdfc$export$a65d69dd22caceda = (payload, apiHost)=>{
    return fetch(`${apiHost}/api/feedback`, {
        method: "POST",
        headers: {
            "Content-Type": "application/json"
        },
        body: JSON.stringify({
            question: payload.question,
            answer: payload.answer,
            feedback: payload.feedback,
            api_key: payload.apikey
        })
    });
};




const $1778551b91611551$var$SvgLike = (props)=>/*#__PURE__*/ (0, $hgUW1$jsxs)("svg", {
        width: 14,
        height: 14,
        viewBox: "0 0 16 16",
        fill: "current",
        xmlns: "http://www.w3.org/2000/svg",
        ...props,
        children: [
            /*#__PURE__*/ (0, $hgUW1$jsx)("path", {
                d: "M9.4 5.9V3.1A2.1 2.1 0 0 0 7.3 1L4.5 7.3V15h7.896a1.4 1.4 0 0 0 1.4-1.19l.966-6.3a1.399 1.399 0 0 0-1.4-1.61H9.4ZM4.5 15H2.4A1.4 1.4 0 0 1 1 13.6V8.7a1.4 1.4 0 0 1 1.4-1.4h2.1",
                fill: "none"
            }),
            /*#__PURE__*/ (0, $hgUW1$jsx)("path", {
                d: "M4.5 7.3 7.3 1a2.1 2.1 0 0 1 2.1 2.1v2.8h3.962a1.4 1.4 0 0 1 1.4 1.61l-.966 6.3a1.4 1.4 0 0 1-1.4 1.19H4.5m0-7.7V15m0-7.7H2.4A1.4 1.4 0 0 0 1 8.7v4.9A1.4 1.4 0 0 0 2.4 15h2.1",
                stroke: "current",
                strokeWidth: 1.4,
                strokeLinecap: "round",
                strokeLinejoin: "round"
            })
        ]
    });
var $1778551b91611551$export$2e2bcd8739ae039 = $1778551b91611551$var$SvgLike;




const $e5810fae2614193a$var$SvgDislike = (props)=>/*#__PURE__*/ (0, $hgUW1$jsxs)("svg", {
        width: 14,
        height: 14,
        viewBox: "0 0 16 16",
        fill: "current",
        xmlns: "http://www.w3.org/2000/svg",
        ...props,
        children: [
            /*#__PURE__*/ (0, $hgUW1$jsx)("path", {
                d: "M6.378 10.1v2.8a2.1 2.1 0 0 0 2.1 2.1l2.8-6.3V1H3.382a1.4 1.4 0 0 0-1.4 1.19l-.966 6.3a1.4 1.4 0 0 0 1.4 1.61h3.962Zm4.9-9.1h1.869a1.617 1.617 0 0 1 1.63 1.4v4.9a1.617 1.617 0 0 1-1.63 1.4h-1.87",
                fill: "none"
            }),
            /*#__PURE__*/ (0, $hgUW1$jsx)("path", {
                d: "m11.278 8.7-2.8 6.3a2.1 2.1 0 0 1-2.1-2.1v-2.8H2.416a1.4 1.4 0 0 1-1.4-1.61l.966-6.3A1.4 1.4 0 0 1 3.382 1h7.896m0 7.7V1m0 7.7h1.869a1.617 1.617 0 0 0 1.63-1.4V2.4a1.617 1.617 0 0 0-1.63-1.4h-1.87",
                stroke: "current",
                strokeWidth: 1.4,
                strokeLinecap: "round",
                strokeLinejoin: "round"
            })
        ]
    });
var $e5810fae2614193a$export$2e2bcd8739ae039 = $e5810fae2614193a$var$SvgDislike;



"use client";
const $773c081b67f0ead7$var$themes = {
    dark: {
        bg: "#222327",
        text: "#fff",
        primary: {
            text: "#FAFAFA",
            bg: "#222327"
        },
        secondary: {
            text: "#A1A1AA",
            bg: "#38383b"
        }
    },
    light: {
        bg: "#fff",
        text: "#000",
        primary: {
            text: "#222327",
            bg: "#fff"
        },
        secondary: {
            text: "#A1A1AA",
            bg: "#F6F6F6"
        }
    }
};
const $773c081b67f0ead7$var$sizesConfig = {
    small: {
        size: "small",
        width: "320px",
        height: "400px"
    },
    medium: {
        size: "medium",
        width: "400px",
        height: "80vh"
    },
    large: {
        size: "large",
        width: "666px",
        height: "75vh"
    },
    getCustom: (custom)=>({
            size: "custom",
            width: custom.width,
            height: custom.height,
            maxWidth: custom.maxWidth || "968px",
            maxHeight: custom.maxHeight || "70vh"
        })
};
const $773c081b67f0ead7$var$createBox = (0, $hgUW1$keyframes)`
   0% {
        transform: scale(0.6);
      }
      90% {
        transform: scale(1.02);
      }
      100% {
        transform: scale(1);
      }
`;
const $773c081b67f0ead7$var$closeBox = (0, $hgUW1$keyframes)`
  0% {
        transform: scale(1); 
      }
      10% {
        transform: scale(1.02); 
      }
      100% {
        transform: scale(0.6);
      }
`;
const $773c081b67f0ead7$var$openContainer = (0, $hgUW1$keyframes)`
      0% {
        width: 200px;
        height: 100px;
      }
      100% {
        width: ${(props)=>props.theme.dimensions.width};
        height: ${(props)=>props.theme.dimensions.height};
        border-radius: 12px;
      }`;
const $773c081b67f0ead7$var$closeContainer = (0, $hgUW1$keyframes)`
  0% {
        width: ${(props)=>props.theme.dimensions.width};
        height: ${(props)=>props.theme.dimensions.height};
        border-radius: 12px;
      }
      100% {
        width: 200px;
        height: 100px;
      }
`;
const $773c081b67f0ead7$var$fadeIn = (0, $hgUW1$keyframes)`
  from {
        opacity: 0;
        width: ${(props)=>props.theme.dimensions.width};
        height: ${(props)=>props.theme.dimensions.height};
        transform: scale(0.9);
      }
      to {
        opacity: 1;
        transform: scale(1);
        width: ${(props)=>props.theme.dimensions.width};
        height: ${(props)=>props.theme.dimensions.height};
      }
`;
const $773c081b67f0ead7$var$fadeOut = (0, $hgUW1$keyframes)`
  from {
        opacity: 1;
        width: ${(props)=>props.theme.dimensions.width};
        height: ${(props)=>props.theme.dimensions.height};
      }
      to {
        opacity: 0;
        transform: scale(0.9);
        width: ${(props)=>props.theme.dimensions.width};
        height: ${(props)=>props.theme.dimensions.height};
      }
`;
const $773c081b67f0ead7$var$scaleAnimation = (0, $hgUW1$keyframes)`
  from {
      transform: scale(1.2);
      }
      to {
      transform: scale(1);
      }
`;
const $773c081b67f0ead7$var$Overlay = (0, $hgUW1$styledcomponents).div`
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.5);
  z-index: 999;
  transition: opacity 0.5s;
`;
const $773c081b67f0ead7$var$WidgetContainer = (0, $hgUW1$styledcomponents).div`
    all: initial;
    position: fixed;
    right: ${(props)=>props.modal ? "50%" : "10px"};
    bottom: ${(props)=>props.modal ? "50%" : "10px"};
    z-index: 1001;
    transform-origin:100% 100%;
    display: block;
    &.modal{
      transform : translate(50%,50%);
    }
    &.open {
        animation: css ${$773c081b67f0ead7$var$createBox} 250ms cubic-bezier(0.25, 0.1, 0.25, 1) forwards;
    }
    &.close {
      animation: css ${$773c081b67f0ead7$var$closeBox} 250ms cubic-bezier(0.25, 0.1, 0.25, 1) forwards;
    }
    align-items: center;
    text-align: left;
`;
const $773c081b67f0ead7$var$StyledContainer = (0, $hgUW1$styledcomponents).div`
    all: initial;
    max-height: ${(props)=>props.theme.dimensions.maxHeight};
    max-width: ${(props)=>props.theme.dimensions.maxWidth};
    width: ${(props)=>props.theme.dimensions.width};
    height: ${(props)=>props.theme.dimensions.height} ;
    position: relative;
    flex-direction: column;
    justify-content: space-between;
    bottom: 0;
    left: 0;
    background-color: ${(props)=>props.theme.primary.bg};
    font-family: sans-serif;
    display: flex;
    border-radius: 12px;
    box-shadow: 0 1px 2px rgba(0, 0, 0, 0.05), 0 2px 4px rgba(0, 0, 0, 0.1);
    padding: 26px 26px 0px 26px;
    animation: ${({ isOpen: isOpen, theme: theme })=>theme.dimensions.size === "large" ? isOpen ? (0, $hgUW1$css)`${$773c081b67f0ead7$var$fadeIn} 150ms ease-in forwards` : (0, $hgUW1$css)` ${$773c081b67f0ead7$var$fadeOut} 150ms ease-in forwards` : isOpen ? (0, $hgUW1$css)`${$773c081b67f0ead7$var$openContainer} 150ms ease-in forwards` : (0, $hgUW1$css)`${$773c081b67f0ead7$var$closeContainer} 250ms ease-in forwards`};
    @media only screen and (max-width: 768px) {
      max-height: 100vh;
      max-width: 80vw;
      overflow: auto;
    }
`;
const $773c081b67f0ead7$var$FloatingButton = (0, $hgUW1$styledcomponents).div`
    position: fixed;
    display: ${(props)=>props.hidden ? "none" : "flex"};
    z-index: 500;
    justify-content: center;
    gap: 8px;
    padding: 14px;
    align-items: center;
    bottom: 16px;
    color: white;
    font-family: sans-serif;
    right: 16px;
    font-weight: 500;
    border-radius: 9999px;
    background: ${(props)=>props.bgcolor};
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
    cursor: pointer;
    animation: ${(props)=>props.isAnimatingButton ? (0, $hgUW1$css)`${$773c081b67f0ead7$var$scaleAnimation} 200ms forwards` : "none"};
    &:hover {
      transform: scale(1.1);
      transition: transform 0.2s ease-in-out;
    }
    &:not(:hover) {
      transition: transform 0.2s ease-in-out;
    }
`;
const $773c081b67f0ead7$var$CancelButton = (0, $hgUW1$styledcomponents).button`
    cursor: pointer;
    position: absolute;
    top: 0;
    right: 0;
    margin: 8px;
    width: 30px;
    padding: 0;
    background-color: transparent;
    border: none;
    outline: none;
    color: inherit;
    transition: opacity 0.3s ease;
    opacity: 0.6;
    &:hover {
        opacity: 1;
    }
    .white-filter {
        filter: invert(100%);
    }
`;
const $773c081b67f0ead7$var$Header = (0, $hgUW1$styledcomponents).div`
    display: flex;
    align-items: flex-start;
`;
const $773c081b67f0ead7$var$ContentWrapper = (0, $hgUW1$styledcomponents).div`
    display: flex;
    flex-direction: column;
    gap:2px; 
    margin-left: 8px;
`;
const $773c081b67f0ead7$var$Title = (0, $hgUW1$styledcomponents).h3`
    font-size: 14px;
    font-weight: normal;
    color: ${(props)=>props.theme.primary.text};
    margin: 0;
`;
const $773c081b67f0ead7$var$Description = (0, $hgUW1$styledcomponents).p`
    font-size: 13.75px;
    color: ${(props)=>props.theme.secondary.text};
    margin: 0 ;
    padding: 0 ;
`;
const $773c081b67f0ead7$var$Conversation = (0, $hgUW1$styledcomponents).div`
  height: 70%;
  border-radius: 6px;
  text-align: left;
  overflow-y: auto;
  scrollbar-width: thin;
  scrollbar-color: #4a4a4a transparent; /* thumb color track color */
`;
const $773c081b67f0ead7$var$Feedback = (0, $hgUW1$styledcomponents).div`
  background-color: transparent;
  font-weight: normal;
  gap: 12px;
  display: flex;
  padding: 6px;
  clear: both;
`;
const $773c081b67f0ead7$var$MessageBubble = (0, $hgUW1$styledcomponents).div`
    display: block;
    font-size: 16px;
    position: relative;
    width: 100%;;
    float: right;
    margin: 0px;
    &:hover ${$773c081b67f0ead7$var$Feedback} * {
    visibility: visible ;
  }
`;
const $773c081b67f0ead7$var$Message = (0, $hgUW1$styledcomponents).div`
    background: ${(props)=>props.type === "QUESTION" ? "linear-gradient(to bottom right, #8860DB, #6D42C5)" : props.theme.secondary.bg};
    color: ${(props)=>props.type === "ANSWER" ? props.theme.primary.text : "#fff"};
    border: none;
    float: ${(props)=>props.type === "QUESTION" ? "right" : "left"};
    max-width: ${(props)=>props.type === "ANSWER" ? "100%" : "80"};
    overflow: auto;
    margin: 4px;
    display: block;
    line-height: 1.5;
    padding: 12px;
    border-radius: 6px;
`;
const $773c081b67f0ead7$var$Markdown = (0, $hgUW1$styledcomponents).div`
 pre {
      padding: 8px;
      width: 90%;
      font-size: 12px;
      border-radius: 6px;
      overflow-x: auto;
      background-color: #1B1C1F;
      color: #fff ;
    }

    h1 {
      font-size: 16px;
    }

    h2 {
      font-size: 14px;
    }

    h3 {
      font-size: 14px;
    }

    p {
      margin: 0px;
    }

    code:not(pre code) {
      border-radius: 6px;
      padding: 1px 3px;
      font-size: 12px;
      display: inline-block;
      background-color: #646464;
      color: #fff ;
    }

    code {
      white-space: pre-wrap ;
      overflow-wrap: break-word;
      word-break: break-all;
    }

    ul{
      padding:0px;
      list-style-position: inside;
    }
`;
const $773c081b67f0ead7$var$ErrorAlert = (0, $hgUW1$styledcomponents).div`
  color: #b91c1c;
  border:0.1px solid #b91c1c;
  display: flex;
  padding:4px;
  margin:11.2px;
  opacity: 90%;
  max-width: 70%;
  font-weight: 400;
  border-radius: 6px;
  justify-content: space-evenly;
`;
//dot loading animation
const $773c081b67f0ead7$var$dotBounce = (0, $hgUW1$keyframes)`
  0%, 80%, 100% {
    transform: translateY(0);
  }
  40% {
    transform: translateY(-5px);
  }
`;
const $773c081b67f0ead7$var$DotAnimation = (0, $hgUW1$styledcomponents).div`
  display: inline-block;
  animation: ${$773c081b67f0ead7$var$dotBounce} 1s infinite ease-in-out;
`;
// delay classes as styled components
const $773c081b67f0ead7$var$Delay = (0, $hgUW1$styledcomponents)($773c081b67f0ead7$var$DotAnimation)`
  animation-delay: ${(props)=>props.delay + "ms"};
`;
const $773c081b67f0ead7$var$PromptContainer = (0, $hgUW1$styledcomponents).form`
  background-color: transparent;
  height: ${(props)=>props.theme.dimensions.size == "large" ? "60px" : "40px"};
  display: flex;
  justify-content: space-evenly;
`;
const $773c081b67f0ead7$var$StyledInput = (0, $hgUW1$styledcomponents).input`
  width: 100%;
  border: 1px solid #686877;
  padding-left: 12px;
  background-color: transparent;
  font-size: 16px;
  border-radius: 6px;
  color: ${(props)=>props.theme.text};
  outline: none;
`;
const $773c081b67f0ead7$var$StyledButton = (0, $hgUW1$styledcomponents).button`
  display: flex;
  justify-content: center;
  align-items: center;
  background-image: linear-gradient(to bottom right, #5AF0EC, #E80D9D);
  background-color: rgba(0, 0, 0, 0.3);
  border-radius: 6px;
  min-width: ${(props)=>props.theme.dimensions.size === "large" ? "60px" : "40px"};
  height: ${(props)=>props.theme.dimensions.size === "large" ? "60px" : "40px"};
  margin-left:8px;
  padding: 0px;
  
  border: none;
  cursor: pointer;
  outline: none;
  &:hover{
    opacity: 90%;
  }
  &:disabled {
    background-image: linear-gradient(to bottom right, #2d938f, #b31877);
  }`;
const $773c081b67f0ead7$var$HeroContainer = (0, $hgUW1$styledcomponents).div`
  position: relative;
  width: 90%;
  max-width: 500px;
  background-image: linear-gradient(to bottom right, #5AF0EC, #ff1bf4);
  border-radius: 10px;
  margin: 16px auto;
  padding: 2px;
`;
const $773c081b67f0ead7$var$HeroWrapper = (0, $hgUW1$styledcomponents).div`
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  gap: 8px;
  align-items: middle;
  background-color: ${(props)=>props.theme.primary.bg};
  border-radius: 10px; 
  font-weight: normal;
  padding: 12px;
`;
const $773c081b67f0ead7$var$HeroTitle = (0, $hgUW1$styledcomponents).h3`
  color: ${(props)=>props.theme.text};
  font-size: 16px;
  margin:0px ;
  padding: 0px;
`;
const $773c081b67f0ead7$var$HeroDescription = (0, $hgUW1$styledcomponents).p`
  color: ${(props)=>props.theme.text};
  font-size: 12px;
  line-height: 1.5;
  margin: 0px;
  padding: 0px;
`;
const $773c081b67f0ead7$var$Hyperlink = (0, $hgUW1$styledcomponents).a`
  color: #9971EC;
  text-decoration: none;
`;
const $773c081b67f0ead7$var$Tagline = (0, $hgUW1$styledcomponents).div`
  text-align: center;
  display: block;
  color: ${(props)=>props.theme.secondary.text};
  padding: 12px ;
  font-size: 12px;
`;
const $773c081b67f0ead7$var$Hero = ({ title: title, description: description, theme: theme })=>{
    return /*#__PURE__*/ (0, $hgUW1$jsx)($773c081b67f0ead7$var$HeroContainer, {
        children: /*#__PURE__*/ (0, $hgUW1$jsxs)($773c081b67f0ead7$var$HeroWrapper, {
            children: [
                /*#__PURE__*/ (0, $hgUW1$jsx)((0, $hgUW1$RocketIcon), {
                    color: theme === "light" ? "black" : "white",
                    width: 24,
                    height: 24
                }),
                /*#__PURE__*/ (0, $hgUW1$jsx)($773c081b67f0ead7$var$HeroTitle, {
                    children: title
                }),
                /*#__PURE__*/ (0, $hgUW1$jsx)($773c081b67f0ead7$var$HeroDescription, {
                    children: description
                })
            ]
        })
    });
};
const $773c081b67f0ead7$export$8d70f1ccc5dab46b = (props)=>{
    const { buttonIcon: buttonIcon = "https://d3dg1063dc54p9.cloudfront.net/widget/chat.svg", buttonText: buttonText = "Ask a question", buttonBg: buttonBg = "linear-gradient(to bottom right, #5AF0EC, #E80D9D)", defaultOpen: defaultOpen = false, ...coreProps } = props;
    const [open, setOpen] = (0, $hgUW1$react).useState(defaultOpen);
    const [isAnimatingButton, setIsAnimatingButton] = (0, $hgUW1$react).useState(false);
    const [isFloatingButtonVisible, setIsFloatingButtonVisible] = (0, $hgUW1$react).useState(true);
    (0, $hgUW1$react).useEffect(()=>{
        if (isFloatingButtonVisible) setTimeout(()=>setIsAnimatingButton(true), 250);
        return ()=>{
            setIsAnimatingButton(false);
        };
    }, [
        isFloatingButtonVisible
    ]);
    const handleClose = ()=>{
        setIsFloatingButtonVisible(true);
        setOpen(false);
    };
    const handleOpen = ()=>{
        setOpen(true);
        setIsFloatingButtonVisible(false);
    };
    return /*#__PURE__*/ (0, $hgUW1$jsxs)((0, $hgUW1$Fragment), {
        children: [
            /*#__PURE__*/ (0, $hgUW1$jsxs)($773c081b67f0ead7$var$FloatingButton, {
                bgcolor: buttonBg,
                onClick: handleOpen,
                hidden: !isFloatingButtonVisible,
                isAnimatingButton: isAnimatingButton,
                children: [
                    /*#__PURE__*/ (0, $hgUW1$jsx)("img", {
                        width: 24,
                        src: buttonIcon
                    }),
                    /*#__PURE__*/ (0, $hgUW1$jsx)("span", {
                        children: buttonText
                    })
                ]
            }),
            /*#__PURE__*/ (0, $hgUW1$jsx)($773c081b67f0ead7$export$2b086ff69f92acd2, {
                isOpen: open,
                handleClose: handleClose,
                ...coreProps
            })
        ]
    });
};
const $773c081b67f0ead7$export$2b086ff69f92acd2 = ({ apiHost: apiHost = "https://gptcloud.arc53.com", apiKey: apiKey = "82962c9a-aa77-4152-94e5-a4f84fd44c6a", avatar: avatar = "https://d3dg1063dc54p9.cloudfront.net/cute-docsgpt.png", title: title = "Get AI assistance", description: description = "DocsGPT's AI Chatbot is here to help", heroTitle: heroTitle = "Welcome to DocsGPT !", heroDescription: heroDescription = "This chatbot is built with DocsGPT and utilises GenAI, please review important information using sources.", size: size = "small", theme: theme = "dark", collectFeedback: collectFeedback = true, isOpen: isOpen = false, prefilledQuery: prefilledQuery = "", handleClose: handleClose })=>{
    const [prompt, setPrompt] = (0, $hgUW1$react).useState("");
    const [mounted, setMounted] = (0, $hgUW1$react).useState(false);
    const [status, setStatus] = (0, $hgUW1$react).useState("idle");
    const [queries, setQueries] = (0, $hgUW1$react).useState([]);
    const [conversationId, setConversationId] = (0, $hgUW1$react).useState(null);
    const [eventInterrupt, setEventInterrupt] = (0, $hgUW1$react).useState(false); //click or scroll by user while autoScrolling
    const isBubbleHovered = (0, $hgUW1$useRef)(false);
    const endMessageRef = (0, $hgUW1$react).useRef(null);
    const md = new (0, $hgUW1$markdownit)();
    (0, $hgUW1$react).useEffect(()=>{
        if (isOpen) {
            setMounted(true); // Mount the component
            appendQuery(prefilledQuery);
        } else {
            // Wait for animations before unmounting
            const timeout = setTimeout(()=>{
                setMounted(false);
            }, 250);
            return ()=>clearTimeout(timeout);
        }
    }, [
        isOpen
    ]);
    const handleUserInterrupt = ()=>{
        status === "loading" && setEventInterrupt(true);
    };
    const scrollToBottom = (element)=>{
        //recursive function to scroll to the last child of the last child ...
        // to get to the bottom most element
        if (!element) return;
        if (element?.children.length === 0) element?.scrollIntoView({
            behavior: "smooth",
            block: "start"
        });
        const lastChild = element?.children?.[element.children.length - 1];
        lastChild && scrollToBottom(lastChild);
    };
    (0, $hgUW1$react).useEffect(()=>{
        !eventInterrupt && scrollToBottom(endMessageRef.current);
    }, [
        queries.length,
        queries[queries.length - 1]?.response
    ]);
    async function handleFeedback(feedback, index) {
        let query = queries[index];
        if (!query.response) return;
        if (query.feedback != feedback) (0, $0227e40e43ebbdfc$export$a65d69dd22caceda)({
            question: query.prompt,
            answer: query.response,
            feedback: feedback,
            apikey: apiKey
        }, apiHost).then((res)=>{
            if (res.status == 200) {
                query.feedback = feedback;
                setQueries((prev)=>{
                    return prev.map((q, i)=>i === index ? query : q);
                });
            }
        }).catch((err)=>console.log("Connection failed", err));
        else {
            delete query.feedback;
            setQueries((prev)=>{
                return prev.map((q, i)=>i === index ? query : q);
            });
        }
    }
    async function stream(question) {
        setStatus("loading");
        try {
            await (0, $0227e40e43ebbdfc$export$8d129e5b7331a32b)({
                question: question,
                apiKey: apiKey,
                apiHost: apiHost,
                history: queries,
                conversationId: conversationId,
                onEvent: (event)=>{
                    const data = JSON.parse(event.data);
                    // check if the 'end' event has been received
                    if (data.type === "end") setStatus("idle");
                    else if (data.type === "id") setConversationId(data.id);
                    else if (data.type === "error") {
                        const updatedQueries = [
                            ...queries
                        ];
                        updatedQueries[updatedQueries.length - 1].error = data.error;
                        setQueries(updatedQueries);
                        setStatus("idle");
                    } else if (data.type === "source") ;
                    else {
                        const result = data.answer ? data.answer : ""; //Fallback to an empty string if data.answer is undefined
                        const streamingResponse = queries[queries.length - 1].response ? queries[queries.length - 1].response : "";
                        const updatedQueries = [
                            ...queries
                        ];
                        updatedQueries[updatedQueries.length - 1].response = streamingResponse + result;
                        setQueries(updatedQueries);
                    }
                }
            });
        } catch (error) {
            const updatedQueries = [
                ...queries
            ];
            updatedQueries[updatedQueries.length - 1].error = "Something went wrong !";
            setQueries(updatedQueries);
            setStatus("idle");
        //setEventInterrupt(false)
        }
    }
    // submit handler
    const handleSubmit = async (e)=>{
        e.preventDefault();
        await appendQuery(prompt);
    };
    const appendQuery = async (userQuery)=>{
        console.log(userQuery);
        if (!userQuery) return;
        setEventInterrupt(false);
        queries.push({
            prompt: userQuery
        });
        setPrompt("");
        await stream(userQuery);
    };
    const handleImageError = (event)=>{
        event.currentTarget.src = "https://d3dg1063dc54p9.cloudfront.net/cute-docsgpt.png";
    };
    const dimensions = typeof size === "object" && "custom" in size ? $773c081b67f0ead7$var$sizesConfig.getCustom(size.custom) : $773c081b67f0ead7$var$sizesConfig[size];
    if (!mounted) return null;
    return /*#__PURE__*/ (0, $hgUW1$jsxs)((0, $hgUW1$ThemeProvider), {
        theme: {
            ...$773c081b67f0ead7$var$themes[theme],
            dimensions: dimensions
        },
        children: [
            isOpen && size === "large" && /*#__PURE__*/ (0, $hgUW1$jsx)($773c081b67f0ead7$var$Overlay, {
                onClick: handleClose
            }),
            /*#__PURE__*/ (0, $hgUW1$jsx)($773c081b67f0ead7$var$WidgetContainer, {
                className: `${size !== "large" ? isOpen ? "open" : "close" : "modal"}`,
                modal: size === "large",
                children: /*#__PURE__*/ (0, $hgUW1$jsxs)($773c081b67f0ead7$var$StyledContainer, {
                    isOpen: isOpen,
                    children: [
                        /*#__PURE__*/ (0, $hgUW1$jsxs)("div", {
                            children: [
                                /*#__PURE__*/ (0, $hgUW1$jsx)($773c081b67f0ead7$var$CancelButton, {
                                    onClick: handleClose,
                                    children: /*#__PURE__*/ (0, $hgUW1$jsx)((0, $hgUW1$Cross2Icon), {
                                        width: 24,
                                        height: 24,
                                        color: theme === "light" ? "black" : "white"
                                    })
                                }),
                                /*#__PURE__*/ (0, $hgUW1$jsxs)($773c081b67f0ead7$var$Header, {
                                    children: [
                                        /*#__PURE__*/ (0, $hgUW1$jsx)("img", {
                                            style: {
                                                transform: "translateY(-5px)",
                                                maxWidth: "42px",
                                                maxHeight: "42px"
                                            },
                                            onError: handleImageError,
                                            src: avatar,
                                            alt: "docs-gpt"
                                        }),
                                        /*#__PURE__*/ (0, $hgUW1$jsxs)($773c081b67f0ead7$var$ContentWrapper, {
                                            children: [
                                                /*#__PURE__*/ (0, $hgUW1$jsx)($773c081b67f0ead7$var$Title, {
                                                    children: title
                                                }),
                                                /*#__PURE__*/ (0, $hgUW1$jsx)($773c081b67f0ead7$var$Description, {
                                                    children: description
                                                })
                                            ]
                                        })
                                    ]
                                })
                            ]
                        }),
                        /*#__PURE__*/ (0, $hgUW1$jsx)($773c081b67f0ead7$var$Conversation, {
                            onWheel: handleUserInterrupt,
                            onTouchMove: handleUserInterrupt,
                            children: queries.length > 0 ? queries?.map((query, index)=>{
                                return /*#__PURE__*/ (0, $hgUW1$jsxs)((0, $hgUW1$react).Fragment, {
                                    children: [
                                        query.prompt && /*#__PURE__*/ (0, $hgUW1$jsx)($773c081b67f0ead7$var$MessageBubble, {
                                            type: "QUESTION",
                                            children: /*#__PURE__*/ (0, $hgUW1$jsx)($773c081b67f0ead7$var$Message, {
                                                type: "QUESTION",
                                                ref: !(query.response || query.error) && index === queries.length - 1 ? endMessageRef : null,
                                                children: query.prompt
                                            })
                                        }),
                                        query.response ? /*#__PURE__*/ (0, $hgUW1$jsxs)($773c081b67f0ead7$var$MessageBubble, {
                                            onMouseOver: ()=>{
                                                isBubbleHovered.current = true;
                                            },
                                            type: "ANSWER",
                                            children: [
                                                /*#__PURE__*/ (0, $hgUW1$jsx)($773c081b67f0ead7$var$Message, {
                                                    type: "ANSWER",
                                                    ref: index === queries.length - 1 ? endMessageRef : null,
                                                    children: /*#__PURE__*/ (0, $hgUW1$jsx)($773c081b67f0ead7$var$Markdown, {
                                                        dangerouslySetInnerHTML: {
                                                            __html: (0, $hgUW1$dompurify).sanitize(md.render(query.response))
                                                        }
                                                    })
                                                }),
                                                collectFeedback && /*#__PURE__*/ (0, $hgUW1$jsxs)($773c081b67f0ead7$var$Feedback, {
                                                    children: [
                                                        /*#__PURE__*/ (0, $hgUW1$jsx)((0, $1778551b91611551$export$2e2bcd8739ae039), {
                                                            style: {
                                                                stroke: query.feedback == "LIKE" ? "#8860DB" : "#c0c0c0",
                                                                visibility: query.feedback == "LIKE" ? "visible" : "hidden"
                                                            },
                                                            fill: "none",
                                                            onClick: ()=>handleFeedback("LIKE", index)
                                                        }),
                                                        /*#__PURE__*/ (0, $hgUW1$jsx)((0, $e5810fae2614193a$export$2e2bcd8739ae039), {
                                                            style: {
                                                                stroke: query.feedback == "DISLIKE" ? "#ed8085" : "#c0c0c0",
                                                                visibility: query.feedback == "DISLIKE" ? "visible" : "hidden"
                                                            },
                                                            fill: "none",
                                                            onClick: ()=>handleFeedback("DISLIKE", index)
                                                        })
                                                    ]
                                                })
                                            ]
                                        }) : /*#__PURE__*/ (0, $hgUW1$jsx)("div", {
                                            children: query.error ? /*#__PURE__*/ (0, $hgUW1$jsxs)($773c081b67f0ead7$var$ErrorAlert, {
                                                children: [
                                                    /*#__PURE__*/ (0, $hgUW1$jsx)((0, $hgUW1$ExclamationTriangleIcon), {
                                                        width: 22,
                                                        height: 22,
                                                        color: "#b91c1c"
                                                    }),
                                                    /*#__PURE__*/ (0, $hgUW1$jsxs)("div", {
                                                        children: [
                                                            /*#__PURE__*/ (0, $hgUW1$jsx)("h5", {
                                                                style: {
                                                                    margin: 2
                                                                },
                                                                children: "Network Error"
                                                            }),
                                                            /*#__PURE__*/ (0, $hgUW1$jsx)("span", {
                                                                style: {
                                                                    margin: 2,
                                                                    fontSize: "13px"
                                                                },
                                                                children: query.error
                                                            })
                                                        ]
                                                    })
                                                ]
                                            }) : /*#__PURE__*/ (0, $hgUW1$jsx)($773c081b67f0ead7$var$MessageBubble, {
                                                type: "ANSWER",
                                                children: /*#__PURE__*/ (0, $hgUW1$jsxs)($773c081b67f0ead7$var$Message, {
                                                    type: "ANSWER",
                                                    style: {
                                                        fontWeight: 600
                                                    },
                                                    children: [
                                                        /*#__PURE__*/ (0, $hgUW1$jsx)($773c081b67f0ead7$var$DotAnimation, {
                                                            children: "."
                                                        }),
                                                        /*#__PURE__*/ (0, $hgUW1$jsx)($773c081b67f0ead7$var$Delay, {
                                                            delay: 200,
                                                            children: "."
                                                        }),
                                                        /*#__PURE__*/ (0, $hgUW1$jsx)($773c081b67f0ead7$var$Delay, {
                                                            delay: 400,
                                                            children: "."
                                                        })
                                                    ]
                                                })
                                            })
                                        })
                                    ]
                                }, index);
                            }) : /*#__PURE__*/ (0, $hgUW1$jsx)($773c081b67f0ead7$var$Hero, {
                                title: heroTitle,
                                description: heroDescription,
                                theme: theme
                            })
                        }),
                        /*#__PURE__*/ (0, $hgUW1$jsxs)("div", {
                            children: [
                                /*#__PURE__*/ (0, $hgUW1$jsxs)($773c081b67f0ead7$var$PromptContainer, {
                                    onSubmit: handleSubmit,
                                    children: [
                                        /*#__PURE__*/ (0, $hgUW1$jsx)($773c081b67f0ead7$var$StyledInput, {
                                            autoFocus: true,
                                            value: prompt,
                                            onChange: (event)=>setPrompt(event.target.value),
                                            type: "text",
                                            placeholder: "Ask your question"
                                        }),
                                        /*#__PURE__*/ (0, $hgUW1$jsx)($773c081b67f0ead7$var$StyledButton, {
                                            disabled: prompt.trim().length == 0 || status !== "idle",
                                            children: /*#__PURE__*/ (0, $hgUW1$jsx)((0, $hgUW1$PaperPlaneIcon), {
                                                width: 18,
                                                height: 18,
                                                color: "white"
                                            })
                                        })
                                    ]
                                }),
                                /*#__PURE__*/ (0, $hgUW1$jsxs)($773c081b67f0ead7$var$Tagline, {
                                    children: [
                                        "Powered by\xa0",
                                        /*#__PURE__*/ (0, $hgUW1$jsx)($773c081b67f0ead7$var$Hyperlink, {
                                            target: "_blank",
                                            href: "https://www.docsgpt.cloud/",
                                            children: "DocsGPT"
                                        })
                                    ]
                                })
                            ]
                        })
                    ]
                })
            })
        ]
    });
};


async function $c8bac80611553cdc$export$cfcc0908d6dfb8a6(question, apiKey, apiHost, signal) {
    const payload = {
        question: question,
        api_key: apiKey
    };
    try {
        const response = await fetch(`${apiHost}/api/search`, {
            method: "POST",
            headers: {
                "Content-Type": "application/json"
            },
            body: JSON.stringify(payload),
            signal: signal
        });
        if (!response.ok) throw new Error(`Error: ${response.status}`);
        const data = await response.json();
        return data;
    } catch (error) {
        if (!(error instanceof DOMException && error.name == "AbortError")) console.error("Failed to fetch documents:", error);
        throw error;
    }
}




const $17f599bc115b22f1$export$34ee789f81ad4cb9 = ()=>{
    const platform = window.navigator.platform;
    const userAgent = window.navigator.userAgent || window.navigator.vendor;
    if (/Mac/i.test(platform)) return "mac";
    if (/Win/i.test(platform)) return "win";
    if (/Linux/i.test(platform) && !/Android/i.test(userAgent)) return "linux";
    if (/Android/i.test(userAgent)) return "android";
    if (/iPhone|iPad|iPod/i.test(userAgent)) return "ios";
    return "other";
};


const $5fc9ab8c998fa801$var$themes = {
    dark: {
        bg: "#000",
        text: "#fff",
        primary: {
            text: "#FAFAFA",
            bg: "#111111"
        },
        secondary: {
            text: "#A1A1AA",
            bg: "#38383b"
        }
    },
    light: {
        bg: "#fff",
        text: "#000",
        primary: {
            text: "#222327",
            bg: "#fff"
        },
        secondary: {
            text: "#A1A1AA",
            bg: "#F6F6F6"
        }
    }
};
const $5fc9ab8c998fa801$var$Main = (0, $hgUW1$styledcomponents).div`
    all:initial;
    font-family: sans-serif;
`;
const $5fc9ab8c998fa801$var$TextField = (0, $hgUW1$styledcomponents).input`
    padding:  6px 6px;
    width: ${({ inputWidth: inputWidth })=>inputWidth};
    border-radius: 8px;
    display: inline;
    color: ${(props)=>props.theme.primary.text};
    outline: none;
    border: none;
    background-color: ${(props)=>props.theme.secondary.bg};
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    transition: background-color 128ms linear;
    &:focus {
     outline: none;
     box-shadow: 
     0px 0px 0px 2px rgba(0, 109, 199), 
     0px 0px 6px rgb(0, 90, 163), 
     0px 2px 6px rgba(0, 0, 0, 0.1) ;
     background-color: ${(props)=>props.theme.primary.bg};
  }
`;
const $5fc9ab8c998fa801$var$Container = (0, $hgUW1$styledcomponents).div`
    position: relative;
    display: inline-block;
`;
const $5fc9ab8c998fa801$var$SearchResults = (0, $hgUW1$styledcomponents).div`
    position: absolute;
    display: block;
    background-color: ${(props)=>props.theme.primary.bg};
    border: 1px solid rgba(0, 0, 0, .1);
    border-radius: 12px;
    padding: 8px;
    width: 576px;
    min-width: 96%;
    z-index: 100;
    height: 25vh;
    overflow-y: auto;
    top: 32px;
    color: ${(props)=>props.theme.primary.text};
    scrollbar-color: lab(48.438 0 0 / 0.4) rgba(0, 0, 0, 0);
    scrollbar-gutter: stable;
    scrollbar-width: thin;
    box-shadow: 0 1px 2px rgba(0, 0, 0, 0.05), 0 2px 4px rgba(0, 0, 0, 0.1);
    backdrop-filter: blur(16px);
    @media only screen and (max-width: 768px) {
      max-height: 100vh;
      max-width: 80vw;
      overflow: auto;
    }
`;
const $5fc9ab8c998fa801$var$Title = (0, $hgUW1$styledcomponents).h3`
    font-size: 14px;
    color: ${(props)=>props.theme.primary.text};
    opacity: 0.8;
    padding-bottom: 6px;
    font-weight: 600;
    text-transform: uppercase;
    border-bottom: 1px solid ${(props)=>props.theme.secondary.text};
`;
const $5fc9ab8c998fa801$var$Content = (0, $hgUW1$styledcomponents).div`
    font-family: system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
`;
const $5fc9ab8c998fa801$var$ResultWrapper = (0, $hgUW1$styledcomponents).div`
    padding: 4px 8px 4px 8px;
    border-radius: 8px;
    cursor: pointer;
    &.contains-source:hover{
        background-color: rgba(0, 92, 197, 0.15);
        ${$5fc9ab8c998fa801$var$Title} {
        color: rgb(0, 126, 230);
       }
    }
`;
const $5fc9ab8c998fa801$var$Markdown = (0, $hgUW1$styledcomponents).div`
line-height:20px;
font-size: 12px;
word-break: break-all;
 pre {
      padding: 8px;
      width: 90%;
      font-size: 12px;
      border-radius: 6px;
      overflow-x: auto;
      background-color: #1B1C1F;
      color: #fff ;
    }

    h1,h2 {
      font-size: 16px;
      font-weight: 600;
      color: ${(props)=>props.theme.text};
      opacity: 0.8;
    }


    h3 {
      font-size: 14px;
    }

    p {
      margin: 0px;
      line-height: 1.35rem;
      font-size: 12px;
    }

    code:not(pre code) {
      border-radius: 6px;
      padding: 4px 4px;
      font-size: 12px;
      display: inline-block;
      background-color: #646464;
      color: #fff ;
    }

    code {
      white-space: pre-wrap ;
      overflow-wrap: break-word;
      word-break: break-all;
    }
    a{
        color: #007ee6;
    }
`;
const $5fc9ab8c998fa801$var$Toolkit = (0, $hgUW1$styledcomponents).kbd`
    position: absolute;
    right: 4px;
    top: 4px;
    background-color: ${(props)=>props.theme.primary.bg};
    color: ${(props)=>props.theme.secondary.text};
    font-weight: 600;
    font-size: 10px;
    padding: 3px;
    border: 1px solid ${(props)=>props.theme.secondary.text};
    border-radius: 4px;
`;
const $5fc9ab8c998fa801$var$Loader = (0, $hgUW1$styledcomponents).div`
  margin: 2rem auto;
  border: 4px solid ${(props)=>props.theme.secondary.text};
  border-top: 4px solid ${(props)=>props.theme.primary.bg};
  border-radius: 50%;
  width: 12px;
  height: 12px;
  animation: spin 1s linear infinite;

  @keyframes spin {
    0% {
      transform: rotate(0deg);
    }
    100% {
      transform: rotate(360deg);
    }
  }
`;
const $5fc9ab8c998fa801$var$NoResults = (0, $hgUW1$styledcomponents).div`
  margin-top: 2rem;
  text-align: center;
  font-size: 1rem;
  color: #888;
`;
const $5fc9ab8c998fa801$var$InfoButton = (0, $hgUW1$styledcomponents).button`
    cursor: pointer;
    padding: 10px 4px 10px 4px;
    display: block;
    width: 100%;
    color: inherit;
    border-radius: 6px;
    background-color: ${(props)=>props.theme.bg};
    text-align: center;
    font-size: 14px;
    margin-bottom: 8px;
    border:1px solid ${(props)=>props.theme.secondary.text};
    
`;
const $5fc9ab8c998fa801$export$79d13b60110f33be = ({ apiKey: apiKey = "74039c6d-bff7-44ce-ae55-2973cbf13837", apiHost: apiHost = "https://gptcloud.arc53.com", theme: theme = "dark", placeholder: placeholder = "Search or Ask AI...", width: width = "256px" })=>{
    const [input, setInput] = (0, $hgUW1$react).useState("");
    const [loading, setLoading] = (0, $hgUW1$react).useState(false);
    const [isWidgetOpen, setIsWidgetOpen] = (0, $hgUW1$react).useState(false);
    const inputRef = (0, $hgUW1$react).useRef(null);
    const containerRef = (0, $hgUW1$react).useRef(null);
    const [isResultVisible, setIsResultVisible] = (0, $hgUW1$react).useState(true);
    const [results, setResults] = (0, $hgUW1$react).useState([]);
    const debounceTimeout = (0, $hgUW1$react).useRef(null);
    const abortControllerRef = (0, $hgUW1$react).useRef(null);
    const browserOS = (0, $17f599bc115b22f1$export$34ee789f81ad4cb9)();
    function isTouchDevice() {
        return "ontouchstart" in window;
    }
    const isTouch = isTouchDevice();
    const getKeyboardInstruction = ()=>{
        if (isResultVisible) return "Enter";
        if (browserOS === "mac") return "\u2318 K";
        else return "Ctrl K";
    };
    (0, $hgUW1$react).useEffect(()=>{
        const handleFocusSearch = (event)=>{
            if ((browserOS === "win" || browserOS === "linux") && event.ctrlKey && event.key === "k" || browserOS === "mac" && event.metaKey && event.key === "k") {
                event.preventDefault();
                inputRef.current?.focus();
            }
        };
        const handleClickOutside = (event)=>{
            if (containerRef.current && !containerRef.current.contains(event.target)) setIsResultVisible(false);
        };
        document.addEventListener("mousedown", handleClickOutside);
        document.addEventListener("keydown", handleFocusSearch);
        return ()=>{
            setIsResultVisible(true);
            document.removeEventListener("mousedown", handleClickOutside);
        };
    }, []);
    (0, $hgUW1$react).useEffect(()=>{
        if (!input) {
            setResults([]);
            return;
        }
        setLoading(true);
        if (debounceTimeout.current) clearTimeout(debounceTimeout.current);
        if (abortControllerRef.current) abortControllerRef.current.abort();
        const abortController = new AbortController();
        abortControllerRef.current = abortController;
        debounceTimeout.current = setTimeout(()=>{
            (0, $c8bac80611553cdc$export$cfcc0908d6dfb8a6)(input, apiKey, apiHost, abortController.signal).then((data)=>setResults(data)).catch((err)=>!abortController.signal.aborted && console.log(err)).finally(()=>setLoading(false));
        }, 500);
        return ()=>{
            abortController.abort();
            clearTimeout(debounceTimeout.current ?? undefined);
        };
    }, [
        input
    ]);
    const handleKeyDown = (event)=>{
        if (event.key === "Enter") {
            event.preventDefault();
            openWidget();
        }
    };
    const openWidget = ()=>{
        setIsWidgetOpen(true);
        setIsResultVisible(false);
    };
    const handleClose = ()=>{
        setIsWidgetOpen(false);
    };
    const md = new (0, $hgUW1$markdownit)();
    return /*#__PURE__*/ (0, $hgUW1$jsx)((0, $hgUW1$ThemeProvider), {
        theme: {
            ...$5fc9ab8c998fa801$var$themes[theme]
        },
        children: /*#__PURE__*/ (0, $hgUW1$jsxs)($5fc9ab8c998fa801$var$Main, {
            children: [
                /*#__PURE__*/ (0, $hgUW1$jsxs)($5fc9ab8c998fa801$var$Container, {
                    ref: containerRef,
                    children: [
                        /*#__PURE__*/ (0, $hgUW1$jsx)($5fc9ab8c998fa801$var$TextField, {
                            spellCheck: false,
                            inputWidth: width,
                            onFocus: ()=>setIsResultVisible(true),
                            ref: inputRef,
                            onSubmit: ()=>setIsWidgetOpen(true),
                            onKeyDown: (e)=>handleKeyDown(e),
                            placeholder: placeholder,
                            value: input,
                            onChange: (e)=>setInput(e.target.value)
                        }),
                        input.length > 0 && isResultVisible && /*#__PURE__*/ (0, $hgUW1$jsxs)($5fc9ab8c998fa801$var$SearchResults, {
                            children: [
                                /*#__PURE__*/ (0, $hgUW1$jsx)($5fc9ab8c998fa801$var$InfoButton, {
                                    onClick: openWidget,
                                    children: isTouch ? "Ask the AI" : /*#__PURE__*/ (0, $hgUW1$jsxs)((0, $hgUW1$Fragment), {
                                        children: [
                                            "Press ",
                                            /*#__PURE__*/ (0, $hgUW1$jsx)("span", {
                                                style: {
                                                    fontSize: "16px"
                                                },
                                                children: "\u21B5"
                                            }),
                                            " Enter to ask the AI"
                                        ]
                                    })
                                }),
                                !loading ? results.length > 0 ? results.map((res, key)=>{
                                    const containsSource = res.source !== "local";
                                    return /*#__PURE__*/ (0, $hgUW1$jsxs)($5fc9ab8c998fa801$var$ResultWrapper, {
                                        onClick: ()=>{
                                            if (!containsSource) return;
                                            window.open(res.source, "_blank", "noopener, noreferrer");
                                        },
                                        className: containsSource ? "contains-source" : "",
                                        children: [
                                            /*#__PURE__*/ (0, $hgUW1$jsx)($5fc9ab8c998fa801$var$Title, {
                                                children: res.title
                                            }),
                                            /*#__PURE__*/ (0, $hgUW1$jsx)($5fc9ab8c998fa801$var$Content, {
                                                children: /*#__PURE__*/ (0, $hgUW1$jsx)($5fc9ab8c998fa801$var$Markdown, {
                                                    dangerouslySetInnerHTML: {
                                                        __html: (0, $hgUW1$dompurify).sanitize(md.render(res.text.substring(0, 256) + "..."))
                                                    }
                                                })
                                            })
                                        ]
                                    }, key);
                                }) : /*#__PURE__*/ (0, $hgUW1$jsx)($5fc9ab8c998fa801$var$NoResults, {
                                    children: "No results"
                                }) : /*#__PURE__*/ (0, $hgUW1$jsx)($5fc9ab8c998fa801$var$Loader, {})
                            ]
                        }),
                        isTouch ? /*#__PURE__*/ (0, $hgUW1$jsx)($5fc9ab8c998fa801$var$Toolkit, {
                            onClick: ()=>{
                                setIsWidgetOpen(true);
                            },
                            title: "Tap to Ask the AI",
                            children: "Tap"
                        }) : /*#__PURE__*/ (0, $hgUW1$jsx)($5fc9ab8c998fa801$var$Toolkit, {
                            title: getKeyboardInstruction() === "Enter" ? "Press Enter to Ask AI" : "",
                            children: getKeyboardInstruction()
                        })
                    ]
                }),
                /*#__PURE__*/ (0, $hgUW1$jsx)((0, $773c081b67f0ead7$export$2b086ff69f92acd2), {
                    theme: theme,
                    apiHost: apiHost,
                    apiKey: apiKey,
                    prefilledQuery: input,
                    isOpen: isWidgetOpen,
                    handleClose: handleClose,
                    size: "large"
                })
            ]
        })
    });
};





export {$5fc9ab8c998fa801$export$79d13b60110f33be as SearchBar, $773c081b67f0ead7$export$8d70f1ccc5dab46b as DocsGPTWidget};
//# sourceMappingURL=module.js.map
